Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSelectivePopulator< EOT > Class Template Reference

SelectivePopulator an eoPoplator that uses an eoSelectOne to select guys. More...

`#include <eoPopulator.h>`

Inheritance diagram for eoSelectivePopulator< EOT >:

List of all members.

## Public Member Functions
| eoSelectivePopulator (const eoPop< EOT > &_pop, eoPop< EOT > &_dest, eoSelectOne< EOT > &_sel)
const EOT & | select ()
| the select method actually selects one guy from the src pop
## Private Attributes
eoSelectOne< EOT > & | sel

## Detailed Description

### template<class EOT>
class eoSelectivePopulator< EOT >

SelectivePopulator an eoPoplator that uses an eoSelectOne to select guys.

Supposedly, it is passed the initial population.

Definition at line 184 of file eoPopulator.h.

The documentation for this class was generated from the following file:

- eoPopulator.h